# List variants

URL: /en/docs/api/v1/variants/get
Last Updated: 2026-07-30T21:15:44.987Z

## Description
No description available.

## Available Actions
- Execute GET request
- View request parameters
- View response schema
- Get code examples
- Navigate to related topics
- View step-by-step instructions
- Get best practices

## Content
### GET /api/v1/variants

**List variants**

Retrieve all variants for the current tenant, each including its options and translations.

**Authentication:** Bearer token (`Authorization: Bearer <token>`)

**Responses:**

- `200` - List of variants for the current tenant
  - `variants` (array of Variant (object))
    - `id` (string)
    - `title` (string)
    - `slug` (string)
    - `enabled` (boolean)
    - `order` (integer)
    - `translations` (array of VariantTranslation (object))
      - `id` (string)
      - `languages_code` (enum: en-US | de-DE | fr-FR)
      - `title` (string)
    - `options` (array of VariantOption (object))
      - `id` (string)
      - `title` (string)
      - `slug` (string)
      - `enabled` (boolean)
      - `order` (integer)
      - `translations` (array of VariantTranslation (object))
        - `id` (string)
        - `languages_code` (enum: en-US | de-DE | fr-FR)
        - `title` (string)

  Example (Successful response):
  
  ```json
  {
  "variants": [
    {
      "id": "var-123",
      "title": "Industry",
      "slug": "industry",
      "enabled": true,
      "order": 1,
      "translations": [
        {
          "id": "vt-1",
          "languages_code": "en-US",
          "title": "Industry"
        },
        {
          "id": "vt-2",
          "languages_code": "de-DE",
          "title": "Branche"
        }
      ],
      "options": [
        {
          "id": "opt-1",
          "title": "FinTech",
          "slug": "fintech",
          "enabled": true,
          "order": 1,
          "translations": [
            {
              "id": "ot-1",
              "languages_code": "en-US",
              "title": "FinTech"
            }
          ]
        }
      ]
    }
  ]
}
  ```
- `401` - Unauthorized
- `403` - Forbidden - you do not have access to variants
- `500` - Internal server error - Failed to load variants

**Code samples:**

cURL:

```bash
curl -X GET "https://app.orbiqhq.com/api/v1/variants" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

```

